Subject: Re: PMTU issues due to TOS field manipulation (for DSCP)

From: Nivedita Singhvi <[email-masked]>
Date: Wed, 10 Dec 2003 13:11:41 -0800

Andi Kleen wrote:

> Only the router would need to change (and rewrite ICMP messages, which is a 
> bit nasty, but then compatibility is not always fun) 

True, but I get a sinking feeling when I hear we have to change
router/icmp code. The word "only" seems inappropriate ;).

> -Andi
> 
> P.S.: I am not opposed to fixing linux for this, just I have my doubts
> that fixing all end hosts is a practical solution for the problem.

The reason it seems simpler to me, at least, and I don't
speak for Kevin or the person at Intel who first reported
the problem, is that I see only a few people (well, only
Intel :)) running into the problem. So if there were a
patch available or the fix were in some release, only
the few end hosts who actually needed it would need to
upgrade. Otherwise, rollout would be evolutionary.

But also open to other approaches...

thanks,
Nivedita